/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 *
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.topology.movement.vehicular.sumo.simulation.controller;

import de.tudarmstadt.maki.simonstrator.api.component.sensor.location.Location;
import de.tudarmstadt.maki.simonstrator.api.component.vehicular.roadnetwork.RoadNetworkRoute;

public class VehicleInformationContainer {
	private Location _position;
	private double _heading;
	private double _speed;
	private RoadNetworkRoute _route;

	public VehicleInformationContainer(Location pPosition, double pHeading,
			double pSpeed, RoadNetworkRoute pRoute) {
		_position = pPosition;
		_heading = pHeading;
		_speed = pSpeed;
		_route = pRoute;
	}

	public Location getPosition() {
		return _position;
	}

	public double getHeading() {
		return _heading;
	}

	public double getSpeed() {
		return _speed;
	}

	public RoadNetworkRoute getRoute() {
		return _route;
	}

    public void setRoute(RoadNetworkRoute pRoute) {
        _route = pRoute;
    }
}